---
title: AnimationEvent.initAnimationEvent()
slug: Web/API/AnimationEvent/initAnimationEvent
tags:
  - API
  - AnimationEvent
  - CSSOM
  - Method
  - Obsolete
  - Web Animations
---
<p>{{obsolete_header}}{{non-standard_header}}{{ apiref("Web Animations API") }}</p>

<h2 id="Summary">Summary</h2>

<p>The <code><strong>AnimationEvent.initAnimationEvent()</strong></code> method Initializes an animation event created using the deprecated {{domxref("Document.createEvent()", "Document.createEvent(\"AnimationEvent\")")}} method.</p>

<p><code>AnimationEvent</code> created this way are untrusted.</p>

<div class="note">
<p><strong>Note:</strong> During the standardization process, this method was removed from the specification. It has been deprecated and is in the progress of being removed from most implementations. <strong>Do not use this method</strong>; instead, use the standard constructor, {{domxref("AnimationEvent.AnimationEvent", "AnimationEvent()")}}, to create a synthetic {{domxref("AnimationEvent")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>animationEvent</em>.initAnimationEvent(<em>typeArg</em>, <em>canBubbleArg</em>, <em>cancelableArg</em>, <em>animationNameArg</em>, <em>elapsedTimeArg</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>typeArg</code></dt>
 <dd>A {{domxref("DOMString")}} identifying the specific type of animation event that occurred. The following values are allowed:
 <table class="standard-table">
  <thead>
   <tr>
    <th scope="col">Value</th>
    <th scope="col">Meaning</th>
   </tr>
  </thead>
  <tbody>
   <tr>
    <td><code>animationstart</code></td>
    <td>The animation has started.</td>
   </tr>
   <tr>
    <td><code>animationend</code></td>
    <td>The animation completed.</td>
   </tr>
   <tr>
    <td><code>animationiteration</code></td>
    <td>The current iteration just completed.</td>
   </tr>
  </tbody>
 </table>
 </dd>
 <dt><code>canBubbleArg</code></dt>
 <dd>A {{domxref("Boolean")}} flag indicating if the event can bubble (<code>true</code>) or not (<code>false)</code>.</dd>
 <dt><code>cancelableArg</code></dt>
 <dd>A {{domxref("Boolean")}} flag indicating if the event associated action can be avoided (<code>true</code>) or not (<code>false)</code>.</dd>
 <dt><code>animationNameArg</code></dt>
 <dd>A {{domxref("DOMString")}} containing the value of the {{cssxref("animation-name")}} CSS property associated with the transition.</dd>
 <dt><code>elapsedTimeArg</code></dt>
 <dd>A <code>float</code> indicating the amount of time the animation has been running, in seconds, as of the time the event was fired, excluding any time the animation was paused. For an <code>"animationstart"</code> event, <code>elapsedTime</code> is <code>0.0</code> unless there was a negative value for <code><a href="/en-US/docs/Web/CSS/animation-delay" title="The animation-delay CSS property specifies when the animation should start. This lets the animation sequence begin some time after it's applied to an element.">animation-delay</a></code>, in which case the event will be fired with <code>elapsedTime</code> containing  <code>(-1 * </code><em>delay</em><code>)</code>.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationEvent.initAnimationEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/CSS/Using_CSS_animations">Using CSS animations</a></li>
 <li>Animation-related CSS properties and at-rules: {{cssxref("animation")}}, {{cssxref("animation-delay")}}, {{cssxref("animation-direction")}}, {{cssxref("animation-duration")}}, {{cssxref("animation-fill-mode")}}, {{cssxref("animation-iteration-count")}}, {{cssxref("animation-name")}}, {{cssxref("animation-play-state")}}, {{cssxref("animation-timing-function")}}, {{cssxref("@keyframes")}}.</li>
 <li>The {{domxref("AnimationEvent")}} interface it belongs to.</li>
</ul>
